<!DOCTYPE html>
<html>
<title> Bootstrap template- Pizza 365 project</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<style>
  * {
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  }

  .nav-link:hover {
    font-weight: bold;
    font-size: larger;
  }

  .navbar-light .navbar-nav .nav-link {
    color: whitesmoke;
    font-size: 16px;
  }

  .nav-link {
    background-color: darkcyan !important;
  }

  .navbar-light .navbar-nav .active>.nav-link,
  .navbar-light .navbar-nav .nav-link.active,
  .navbar-light .navbar-nav .nav-link.show,
  .navbar-light .navbar-nav .show>.nav-link {
    color: whitesmoke;
    font-size: 16px;
  }
</style>

<body>

  <!-- Menu -->
  <div class="container-fluid bg-success">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link " href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans"><i class="fa fa-list" aria-hidden="true"></i> Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about"><i class="fa fa-info" aria-hidden="true"></i> About</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact"><i class="fa fa-address-card" aria-hidden="true"></i> &nbsp
                  Contact</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <div class="text-sm-center font-weight-bold">
              <h1 class="text-center text-primary text-uppercase h1">Pizza 365</h1>
              <p>
              <h3 class="text-danger text-center text-capitalize">Truly italian !</h3>
              </p>
            </div>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner rounded">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images//mon_y_5.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-danger text-center text-capitalize">Tại sao lại Pizza 365:</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-warning border">
                <h3 class="p-2 text-center">Thiết kế sang trọng, đẳng cấp</h3>
                <p class="p-2">Phong cách thiết kế cổ điển nhưng trang trọng và lịch sự, thích hợp cho giới thượng lưu
                  hoặc dân văn phòng.</p>
              </div>
              <div class="col-sm-3 p-4 bg-info border">
                <h3 class="p-2 text-center">Thương hiệu nổi tiếng</h3>
                <p class="p-2">Thương hiệu nổi tiếng được biết đến với lịch sử hơn 50 năm phát triển. Hệ thống cửa hàng
                  trải dài từ Bắc đến Nam</p>
              </div>
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2 text-center">Chất lượng dịch vụ</h3>
                <p class="p-2">Chúng tôi luôn mang đến những dịch vụ trải nghiệm và ẩm thực tốt nhất cho tất cả những
                  thực khách đến với Pizza 365.</p>
              </div>
              <div class="col-sm-3 p-4 bg-info text-white border">
                <h3 class="p-2 text-center">Lời hứa</h3>
                <p class="p-2">Cam kết cung cấp thực phẩm đảm bảo chất lượng và chi phí hợp lý nhất đến với khách hàng.
                </p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom text-danger text-center text-capitalize">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3 id="h3-small">S (small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush" id="ul-small">
                      <li class="list-group-item"><b>20cm</b> Đường kính</li>
                      <li class="list-group-item"><b>2</b> Sườn nướng</li>
                      <li class="list-group-item"><b>200g</b> Salad</li>
                      <li class="list-group-item"><b>2</b> Nước ngọt</li>
                      <li class="list-group-item">
                        <h1><b id="b-small">150.000</b></h1> VNĐ
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" id="btn-small" onclick="onBtnSelectSmallClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3 id="h3-medium">M (medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush" id="ul-medium">
                      <li class="list-group-item"><b>25cm</b> Đường kính</li>
                      <li class="list-group-item"><b>4</b> Sườn nướng</li>
                      <li class="list-group-item"><b>300g</b> Salad</li>
                      <li class="list-group-item"><b>3</b> Nước ngọt</li>
                      <li class="list-group-item">
                        <h1><b id="b-medium">200.000</b></h1> VNĐ
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" id="btn-medium" onclick="onBtnSelectMediumClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3 id="h3-large">L (large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush" id="ul-large">
                      <li class="list-group-item"><b>30cm</b> Đường kính</li>
                      <li class="list-group-item"><b>8</b> Sườn nướng</li>
                      <li class="list-group-item"><b>500g</b> Salad</li>
                      <li class="list-group-item"><b>4</b> Nước ngọt</li>
                      <li class="list-group-item">
                        <h1><b id="b-large">250.000</b></h1> VNĐ
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" id="btn-large" onclick="onBtnSelectLargeClick()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-danger text-center text-capitalize">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3 id="pizza-type1">BEEFY</h3>
                    <p>Thịt bò xay, ngô, sốt BBQ, pho mai, bơ.
                    </p>
                    <p><button class="btn btn-info w-100" onclick="onSelectCake1Click()" id="pizza1">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3 id="pizza-type2">HAWAII</h3>
                    <p>Jam bông, dứa, sốt cà chua, pho mai.
                    </p>
                    <p><button class="btn btn-info w-100" onclick="onSelectCake2Click()" id="pizza2">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3 id="pizza-type3">SALAMI</h3>
                    <p>Xúc xích, hành tây, sốt cà chua, pho mai.
                    </p>
                    <p><button class="btn btn-info w-100" onclick="onSelectCake3Click()" id="pizza3">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!---Drink Menu-->
        <div id="drink" class="row">
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-danger text-center text-capitalize">Chọn thức uống</b></h2>
            <div class="form-group">
              <select class="form-control" name="sel-drink" id="sel-drink">
              </select>
            </div>
          </div>
        </div>
        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-primary">Gửi đơn hàng</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="voucher-id">Mã giảm giá (voucher ID)</label>
                  <input type="text" class="form-control" id="inp-voucherid" placeholder="A4">
                </div>
                <button type="button" class="btn btn-info w-100" onclick="onSendClick()">Gửi đơn</button>
              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-success p-2 jumbotron" style="display: none;">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button type="button" class="btn btn-warning w-100" onclick="onConfirmClick()">Confirm</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    // bạn có thể dùng để lưu trữ combo được chọn, 
    // mỗi khi khách chọn menu S, M, L bạn lại đổi giá trị properties của nó
    var gSelectedMenuStructure = {
      menuName: "...",    // S, M, L
      duongKinhCM: 0,
      suongNuong: 0,
      saladGr: 0,
      drink: 0,
      priceVND: 0
    }
    //Truy xuất id các button chọn menu
    var gBtnSmallId = document.getElementById("btn-small");
    var gBtnMediumId = document.getElementById("btn-medium");
    var gBtnLargeId = document.getElementById("btn-large");
    //Truy xuất id các button chọn pizza
    var gBtnPizza1Id = document.getElementById("pizza1");
    var gBtnPizza2Id = document.getElementById("pizza2");
    var gBtnPizza3Id = document.getElementById("pizza3");
    // bạn có thể dùng để lưu loại pizza đươc chọn, mỗi khi khách chọn, bạn lại đổi giá trị cho nó
    var gSelectedPizzaType = "..."
    // danh sách các mã giảm giá
    var gDiscountVouchers = [
      { voucherID: "A1", percentDiscount: 20 },   // mã giảm giá là A1, phần trăm giảm giá 20%
      { voucherID: "A2", percentDiscount: 10 },
      { voucherID: "A3", percentDiscount: 5 },
      { voucherID: "A4", percentDiscount: 30 },
      { voucherID: "A5", percentDiscount: 20 },
      { voucherID: "B1", percentDiscount: 25 },
      { voucherID: "B2", percentDiscount: 15 },
      { voucherID: "B3", percentDiscount: 5 },
      { voucherID: "B4", percentDiscount: 30 },
      { voucherID: "B5", percentDiscount: 40 }
    ];
    //Khai báo đối tượng lưu trử thông tin người dùng nhập
    var gUserInfor = {
      fullName: "",
      email: "",
      phone: -1,
      address: "",
      message: "",
      voucherID: "",
      drink: ""
    }

    const gREQUEST_STATUS_OK = 200; // GET & PUT success
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    onPageLoading();
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      onBtnGetDrinkListClick();
    }
    //Đổi màu nút từ xanh thành cam khi click nút chọn Small
    function onBtnSelectSmallClick() {
      setMenuBtnColor("btn-small");
      getMenuData("small");

      //in các giá trị ra console
      displayObject(gSelectedMenuStructure);

    }
    //Đổi màu nút từ xanh thành cam khi click nút chọn Medium
    function onBtnSelectMediumClick() {
      setMenuBtnColor("btn-medium");
      getMenuData("medium");
      //in các giá trị ra console
      displayObject(gSelectedMenuStructure);
    }
    //Đổi màu nút từ xanh thành cam khi click nút chọn Large
    function onBtnSelectLargeClick() {
      setMenuBtnColor("btn-large");
      getMenuData("large");
      //in các giá trị ra console
      displayObject(gSelectedMenuStructure);
    }
    //Đổi màu nút xanh thành cam khi click nút chọn bánh pizza BEEFY
    function onSelectCake1Click() {
      //Gọi hàm đổi màu cho nút được chọn
      setPizzaBtnColor("pizza1");
      //Gán giá trị loại Pizza được chọn cho biến toàn cục
      gSelectedPizzaType = document.getElementById("pizza-type1").innerHTML;
      //Gọi hàm hiển thị giá trị ra console
      displayObject(gSelectedPizzaType);

    }
    //Đổi màu nút xanh thành cam khi click nút chọn bánh pizza HAWAII
    function onSelectCake2Click() {
      //Gọi hàm đổi màu cho nút được chọn
      setPizzaBtnColor("pizza2");
      //Gán giá trị loại Pizza được chọn cho biến toàn cục
      gSelectedPizzaType = document.getElementById("pizza-type2").innerHTML;
      //Gọi hàm hiển thị giá trị ra console
      displayObject(gSelectedPizzaType);
    }
    //Đổi màu nút xanh thành cam khi click nút chọn bánh pizza SAMILA
    function onSelectCake3Click() {
      //Gọi hàm đổi màu cho nút được chọn
      setPizzaBtnColor("pizza3");
      //Gán giá trị loại Pizza được chọn cho biến toàn cục
      gSelectedPizzaType = document.getElementById("pizza-type3").innerHTML;
      //Gọi hàm hiển thị giá trị ra console
      displayObject(gSelectedPizzaType);
    }

    //Hàm thực hiện kiểm tra và hiển thị thông tin gửi hàng
    function onSendClick() {
      //B1: Thu thập dữ liệu
      //Gọi hàm thu thập dữ liệu người dùng nhập
      getUserInfor(gUserInfor);
      //B2: Kiểm tra dữ liệu
      var vCheckInputData = validateInfor(gUserInfor);
      //Gọi hàm kiểm tra dữ liệu người dùng nhập
      if (vCheckInputData) {
        //B3: Ghi dữ liệu
        //Gọi hàm hiển thị dữ liệu
        displayUserData(gUserInfor);
      }
    }
    //Hàm thực hiện in thông tin ra console khi người dùng nhấn xác nhận
    function onConfirmClick() {
      displayToConsole(gUserInfor);
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    //Hàm đổi màu khi nút được ấn chọn menu
    function setMenuBtnColor(paramID) {
      //Ban đầu thiết lập tất cả các nút về cùng 1 màu xanh
      gBtnSmallId.className = "btn btn-success";
      gBtnMediumId.className = "btn btn-success";
      gBtnLargeId.className = "btn btn-success";
      //Đổi màu cho nút được ấn
      document.getElementById(paramID).className = "btn btn-warning";
    }

    //Hàm đổi màu khi nút được ấn chọn pizza
    function setPizzaBtnColor(paramID) {
      //Ban đầu thiết lập tất cả các nút về cùng 1 màu xanh
      gBtnPizza1Id.className = "btn btn-info w-100";
      gBtnPizza2Id.className = "btn btn-info w-100";
      gBtnPizza3Id.className = "btn btn-info w-100";
      //Đổi màu cho nút được ấn
      document.getElementById(paramID).className = "btn btn-warning w-100";
    }

    //Hàm lấy thông tin từ menu người dùng chọn lưu vào Object
    function getMenuData(paraSize) {
      //Truy xuất thông tin trong menu
      var vSizeId = document.getElementById("h3-" + paraSize);
      var vMenuItemList = document.getElementById("ul-" + paraSize);
      var vDuongKinh = vMenuItemList.getElementsByTagName("li")[0];
      var vSuonNuong = vMenuItemList.getElementsByTagName("li")[1];
      var vSalad = vMenuItemList.getElementsByTagName("li")[2];
      var vDrink = vMenuItemList.getElementsByTagName("li")[3];
      var vPrice = document.getElementById("b-" + paraSize);

      //Gán giá trị vừa truy xuất vào đối tượng được khai báo ở biến toàn cục
      gSelectedMenuStructure.menuName = vSizeId.innerHTML;
      gSelectedMenuStructure.duongKinhCM = vDuongKinh.innerHTML;
      gSelectedMenuStructure.suongNuong = vSuonNuong.innerHTML;
      gSelectedMenuStructure.saladGr = vSalad.innerHTML;
      gSelectedMenuStructure.drink = vDrink.innerHTML;
      gSelectedMenuStructure.priceVND = vPrice.innerHTML;
    }
    //Hàm display object ra console log
    function displayObject(paramObject) {
      console.log(paramObject);
    }

    //Hàm thu thập thông tin người dùng nhập
    function getUserInfor(paraUserInfor) {
      //Truy xuất đến các thông tin người dùng nhập
      var vHoten = document.getElementById("inp-fullname").value.trim();
      var vEmail = document.getElementById("inp-email").value.trim();
      var vPhoneText = document.getElementById("inp-dien-thoai").value.trim();
      var vAddress = document.getElementById("inp-dia-chi").value.trim();
      var vMessage = document.getElementById("inp-message").value.trim();
      var vVoucherId = document.getElementById("inp-voucherid").value.trim();
      var vDrink = document.getElementById("sel-drink");
      //Lấy loại drink được chọn trong list menu:
      var vdrinkSelected = vDrink.options[vDrink.selectedIndex].text;
      //Giá giá trị cho các thuộc tính của đối tượng
      paraUserInfor.fullName = vHoten;
      paraUserInfor.email = vEmail;
      paraUserInfor.phone = vPhoneText;
      paraUserInfor.address = vAddress;
      paraUserInfor.message = vMessage;
      paraUserInfor.voucherID = vVoucherId;
      paraUserInfor.drink = vdrinkSelected;

    }
    //Hàm kiểm tra thông tin người dùng nhập
    function validateInfor(paraUserInfor) {
      //Kiểm tra các thông tin được nhập
      //Kiểm tra tên
      if (paraUserInfor.fullName === "") {
        alert("Input your name!");
        return false;
      }

      //Kiểm tra email
      if (paraUserInfor.email === "") {
        alert("Input your email!");
        return false;
      }
      if (paraUserInfor.email.includes("@") === false) {
        alert("your email incorrect!");
        return false;
      }

      //Kiểm tra phone
      if (isNaN(parseInt(paraUserInfor.phone, 10))) {
        alert("Please check your number phone. It must be number!");
        return false;
      }

      //Kiểm tra địa chỉ
      if (paraUserInfor.address === "") {
        alert("Input your address!");
        return false;
      }
      return true;
    }

    //Hàm hiển thị dữ liệu người dùng nhập
    function displayUserData(paraUserInfor) {
      //Truy xuất các thẻ div, nơi dữ liệu được hiển thị
      var vDivContainer = document.getElementById("div-container-order");
      var vDivContent = document.getElementById("div-order-infor");
      //Cho phép div container hiển thị
      vDivContainer.style.display = "block";
      //Ghi dữ liệu cho div content
      //Clear dữ liệu trước khi ghi
      vDivContent.innerHTML = "";
      //Bắt đầu ghi dữ liệu từ việc truy xuất từng đối tượng
      //Ghi thông tin người dùng
      vDivContent.innerHTML = "Họ và tên: " + paraUserInfor.fullName + "<br>"; //Ghi họ tên
      vDivContent.innerHTML += "Email: " + paraUserInfor.email + "<br>"; //Ghi email
      vDivContent.innerHTML += "Điện thoại: " + paraUserInfor.phone + "<br>"; //Ghi số điện thoại
      vDivContent.innerHTML += "Địa chỉ: " + paraUserInfor.address + "<br>"; //Ghi địa chỉ
      if (paraUserInfor.message != "")
        vDivContent.innerHTML += "Lời nhắn: " + paraUserInfor.message + "<br>"; //Ghi lời nhắn
      vDivContent.innerHTML += "------------------------------" + "<br>";
      //ghi menu người dùng chọn
      vDivContent.innerHTML += "Kích cỡ: " + gSelectedMenuStructure.menuName + "<br>";
      vDivContent.innerHTML += "Đường kính: " + gSelectedMenuStructure.duongKinhCM + "<br>";
      vDivContent.innerHTML += "Sườn nướng: " + gSelectedMenuStructure.suongNuong + "<br>";
      vDivContent.innerHTML += "Salad: " + gSelectedMenuStructure.saladGr + "<br>";
      vDivContent.innerHTML += "Nước ngọt: " + gSelectedMenuStructure.drink + "<br>";
      vDivContent.innerHTML += "------------------------------" + "<br>";
      //ghi loại pizza người dùng chọn
      vDivContent.innerHTML += "Loại pizza: " + gSelectedPizzaType + "<br>";
      vDivContent.innerHTML += "Loại nước uống: " + paraUserInfor.drink + "<br>";
      //Gọi hàm kiểm tra voucher
      calcVoucher(gUserInfor);
      vDivContent.innerHTML += "------------------------------";
    }

    //Hàm hiển thị dữ liệu người dùng nhập ra console
    function displayToConsole(paraUserInfor) {
      var innearText = document.getElementById("div-order-infor");
      console.log(innearText.innerHTML);
    }
    //Hàm tìm kiếm mã voucher
    /*
    function findvoucherID(paraVoucherID) {
      var vIsFound = false;
      var vVoucherObj = null;
      var vIndexOfVoucherObj = 0;
      //Khi chưa tìm thấy và chưa tìm hết thì tiếp tục tìm
      while (vIsFound === false && vIndexOfVoucherObj < gDiscountVouchers.length) {
        if (paraVoucherID === gDiscountVouchers[vIndexOfVoucherObj].voucherID) {
          vVoucherObj = gDiscountVouchers[vIndexOfVoucherObj];
          vIsFound = true;
        }
        else
          vIndexOfVoucherObj++;
      }
      return vVoucherObj;
    }
    */

    //Hàm kiểm tra voucher và hiển thị lên Web
    function calcVoucher(paraUserInfor) {
      "use strict";
      var innearText = document.getElementById("div-order-infor");
      var vVoucherID = "";
      vVoucherID = paraUserInfor.voucherID;

      if (vVoucherID === "") {
        innearText.innerHTML += "Người dùng không nhập voucher<br>";
        return false;
      }
      const vBASE_URL = "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/";
      // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server
      var vXmlHttp = new XMLHttpRequest();
      vXmlHttp.open("GET", vBASE_URL + vVoucherID, false);
      vXmlHttp.send();
      if (vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
        // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
        var vVoucherObj = JSON.parse(vXmlHttp.responseText);
        innearText.innerHTML += "Mã Voucher: " + vVoucherObj.maVoucher + "<br>";
        innearText.innerHTML += "Phần trăm giảm giá: " + vVoucherObj.phanTramGiamGia + "%" + "<br>";
        innearText.innerHTML += "Giá VNĐ: " + gSelectedMenuStructure.priceVND + "<br>";
        var vGia = parseInt(gSelectedMenuStructure.priceVND, 10);
        innearText.innerHTML += "Giá phải thanh toán: " + vGia * (100 - vVoucherObj.phanTramGiamGia) * 10 + " (Đã trừ voucher giảm giá)<br>";
      }
      else {
        // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
        innearText.innerHTML += "Không tìm thấy voucher " + vVoucherID + "<br>";
      }
    }

    //mã nguồn để load data drink list (danh sách loại nước uống) về
    function onBtnGetDrinkListClick() {
      "use strict";
      var vBASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/drinks";
      var vXhttp = new XMLHttpRequest();
      vXhttp.open("GET", vBASE_URL, true);
      vXhttp.send();
      vXhttp.onreadystatechange = function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          console.log(vXhttp.responseText); //ghi response text ra console.log
          var bDrinkDisplay = document.getElementById("sel-drink");
          //console.log(typeof(vXhttp.responseText));
          var bJSONDrinkObj = JSON.parse(vXhttp.responseText);
          for (let bI = 0; bI < bJSONDrinkObj.length; bI++) {
            var bElementOption = document.createElement("option");
            bElementOption.value = bJSONDrinkObj[bI].maNuocUong;
            bElementOption.text = bJSONDrinkObj[bI].tenNuocUong;
            bDrinkDisplay.appendChild(bElementOption);
          }
        }
      };
    }
  </script>
</body>

</html>